| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Compressed Load of Four Vectors
Load/Store Operations » Compressed Load Operations

## Overview

Functions used to decompress four vectors from the internal buffer.

## Functions
void | compr_pop4 (v128int4_compress *&p, v128int4 &o1, v128int4 &o2, v128int4 &o3, v128int4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v128int4_compress *&p, v128int4_compress *&p2, v128int4 &o1, v128int4 &o2, v128int4 &o3, v128int4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v128uint4_compress *&p, v128uint4 &o1, v128uint4 &o2, v128uint4 &o3, v128uint4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v128uint4_compress *&p, v128uint4_compress *&p2, v128uint4 &o1, v128uint4 &o2, v128uint4 &o3, v128uint4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16bfloat16_compress *&p, v16bfloat16 &o1, v16bfloat16 &o2, v16bfloat16 &o3, v16bfloat16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16bfloat16_compress *&p, v16bfloat16_compress *&p2, v16bfloat16 &o1, v16bfloat16 &o2, v16bfloat16 &o3, v16bfloat16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16cint16_compress *&p, v16cint16 &o1, v16cint16 &o2, v16cint16 &o3, v16cint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16cint16_compress *&p, v16cint16_compress *&p2, v16cint16 &o1, v16cint16 &o2, v16cint16 &o3, v16cint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16int16_compress *&p, v16int16 &o1, v16int16 &o2, v16int16 &o3, v16int16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16int16_compress *&p, v16int16_compress *&p2, v16int16 &o1, v16int16 &o2, v16int16 &o3, v16int16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16int32_compress *&p, v16int32 &o1, v16int32 &o2, v16int32 &o3, v16int32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16int32_compress *&p, v16int32_compress *&p2, v16int32 &o1, v16int32 &o2, v16int32 &o3, v16int32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16uint16_compress *&p, v16uint16 &o1, v16uint16 &o2, v16uint16 &o3, v16uint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16uint16_compress *&p, v16uint16_compress *&p2, v16uint16 &o1, v16uint16 &o2, v16uint16 &o3, v16uint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16uint32_compress *&p, v16uint32 &o1, v16uint32 &o2, v16uint32 &o3, v16uint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v16uint32_compress *&p, v16uint32_compress *&p2, v16uint32 &o1, v16uint32 &o2, v16uint32 &o3, v16uint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32bfloat16_compress *&p, v32bfloat16 &o1, v32bfloat16 &o2, v32bfloat16 &o3, v32bfloat16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32bfloat16_compress *&p, v32bfloat16_compress *&p2, v32bfloat16 &o1, v32bfloat16 &o2, v32bfloat16 &o3, v32bfloat16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32int16_compress *&p, v32int16 &o1, v32int16 &o2, v32int16 &o3, v32int16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32int16_compress *&p, v32int16_compress *&p2, v32int16 &o1, v32int16 &o2, v32int16 &o3, v32int16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32int8_compress *&p, v32int8 &o1, v32int8 &o2, v32int8 &o3, v32int8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32int8_compress *&p, v32int8_compress *&p2, v32int8 &o1, v32int8 &o2, v32int8 &o3, v32int8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32uint16_compress *&p, v32uint16 &o1, v32uint16 &o2, v32uint16 &o3, v32uint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32uint16_compress *&p, v32uint16_compress *&p2, v32uint16 &o1, v32uint16 &o2, v32uint16 &o3, v32uint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32uint8_compress *&p, v32uint8 &o1, v32uint8 &o2, v32uint8 &o3, v32uint8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v32uint8_compress *&p, v32uint8_compress *&p2, v32uint8 &o1, v32uint8 &o2, v32uint8 &o3, v32uint8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v4cint32_compress *&p, v4cint32 &o1, v4cint32 &o2, v4cint32 &o3, v4cint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v4cint32_compress *&p, v4cint32_compress *&p2, v4cint32 &o1, v4cint32 &o2, v4cint32 &o3, v4cint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64int4_compress *&p, v64int4 &o1, v64int4 &o2, v64int4 &o3, v64int4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64int4_compress *&p, v64int4_compress *&p2, v64int4 &o1, v64int4 &o2, v64int4 &o3, v64int4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64int8_compress *&p, v64int8 &o1, v64int8 &o2, v64int8 &o3, v64int8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64int8_compress *&p, v64int8_compress *&p2, v64int8 &o1, v64int8 &o2, v64int8 &o3, v64int8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64uint4_compress *&p, v64uint4 &o1, v64uint4 &o2, v64uint4 &o3, v64uint4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64uint4_compress *&p, v64uint4_compress *&p2, v64uint4 &o1, v64uint4 &o2, v64uint4 &o3, v64uint4 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64uint8_compress *&p, v64uint8 &o1, v64uint8 &o2, v64uint8 &o3, v64uint8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v64uint8_compress *&p, v64uint8_compress *&p2, v64uint8 &o1, v64uint8 &o2, v64uint8 &o3, v64uint8 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8cint16_compress *&p, v8cint16 &o1, v8cint16 &o2, v8cint16 &o3, v8cint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8cint16_compress *&p, v8cint16_compress *&p2, v8cint16 &o1, v8cint16 &o2, v8cint16 &o3, v8cint16 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8cint32_compress *&p, v8cint32 &o1, v8cint32 &o2, v8cint32 &o3, v8cint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8cint32_compress *&p, v8cint32_compress *&p2, v8cint32 &o1, v8cint32 &o2, v8cint32 &o3, v8cint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8int32_compress *&p, v8int32 &o1, v8int32 &o2, v8int32 &o3, v8int32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8int32_compress *&p, v8int32_compress *&p2, v8int32 &o1, v8int32 &o2, v8int32 &o3, v8int32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8uint32_compress *&p, v8uint32 &o1, v8uint32 &o2, v8uint32 &o3, v8uint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.
void | compr_pop4 (v8uint32_compress *&p, v8uint32_compress *&p2, v8uint32 &o1, v8uint32 &o2, v8uint32 &o3, v8uint32 &o4)
| Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

## Function Documentation

## ◆ compr_pop4() [1/44]

void compr_pop4 | ( | v128int4_compress *& | p,
|  | v128int4 & | o1,
|  | v128int4 & | o2,
|  | v128int4 & | o3,
|  | v128int4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [2/44]

void compr_pop4 | ( | v128int4_compress *& | p,
|  | v128int4_compress *& | p2,
|  | v128int4 & | o1,
|  | v128int4 & | o2,
|  | v128int4 & | o3,
|  | v128int4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [3/44]

void compr_pop4 | ( | v128uint4_compress *& | p,
|  | v128uint4 & | o1,
|  | v128uint4 & | o2,
|  | v128uint4 & | o3,
|  | v128uint4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [4/44]

void compr_pop4 | ( | v128uint4_compress *& | p,
|  | v128uint4_compress *& | p2,
|  | v128uint4 & | o1,
|  | v128uint4 & | o2,
|  | v128uint4 & | o3,
|  | v128uint4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [5/44]

void compr_pop4 | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16 & | o1,
|  | v16bfloat16 & | o2,
|  | v16bfloat16 & | o3,
|  | v16bfloat16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [6/44]

void compr_pop4 | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16_compress *& | p2,
|  | v16bfloat16 & | o1,
|  | v16bfloat16 & | o2,
|  | v16bfloat16 & | o3,
|  | v16bfloat16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [7/44]

void compr_pop4 | ( | v16cint16_compress *& | p,
|  | v16cint16 & | o1,
|  | v16cint16 & | o2,
|  | v16cint16 & | o3,
|  | v16cint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [8/44]

void compr_pop4 | ( | v16cint16_compress *& | p,
|  | v16cint16_compress *& | p2,
|  | v16cint16 & | o1,
|  | v16cint16 & | o2,
|  | v16cint16 & | o3,
|  | v16cint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [9/44]

void compr_pop4 | ( | v16int16_compress *& | p,
|  | v16int16 & | o1,
|  | v16int16 & | o2,
|  | v16int16 & | o3,
|  | v16int16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [10/44]

void compr_pop4 | ( | v16int16_compress *& | p,
|  | v16int16_compress *& | p2,
|  | v16int16 & | o1,
|  | v16int16 & | o2,
|  | v16int16 & | o3,
|  | v16int16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [11/44]

void compr_pop4 | ( | v16int32_compress *& | p,
|  | v16int32 & | o1,
|  | v16int32 & | o2,
|  | v16int32 & | o3,
|  | v16int32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [12/44]

void compr_pop4 | ( | v16int32_compress *& | p,
|  | v16int32_compress *& | p2,
|  | v16int32 & | o1,
|  | v16int32 & | o2,
|  | v16int32 & | o3,
|  | v16int32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [13/44]

void compr_pop4 | ( | v16uint16_compress *& | p,
|  | v16uint16 & | o1,
|  | v16uint16 & | o2,
|  | v16uint16 & | o3,
|  | v16uint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [14/44]

void compr_pop4 | ( | v16uint16_compress *& | p,
|  | v16uint16_compress *& | p2,
|  | v16uint16 & | o1,
|  | v16uint16 & | o2,
|  | v16uint16 & | o3,
|  | v16uint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [15/44]

void compr_pop4 | ( | v16uint32_compress *& | p,
|  | v16uint32 & | o1,
|  | v16uint32 & | o2,
|  | v16uint32 & | o3,
|  | v16uint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [16/44]

void compr_pop4 | ( | v16uint32_compress *& | p,
|  | v16uint32_compress *& | p2,
|  | v16uint32 & | o1,
|  | v16uint32 & | o2,
|  | v16uint32 & | o3,
|  | v16uint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [17/44]

void compr_pop4 | ( | v32bfloat16_compress *& | p,
|  | v32bfloat16 & | o1,
|  | v32bfloat16 & | o2,
|  | v32bfloat16 & | o3,
|  | v32bfloat16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [18/44]

void compr_pop4 | ( | v32bfloat16_compress *& | p,
|  | v32bfloat16_compress *& | p2,
|  | v32bfloat16 & | o1,
|  | v32bfloat16 & | o2,
|  | v32bfloat16 & | o3,
|  | v32bfloat16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [19/44]

void compr_pop4 | ( | v32int16_compress *& | p,
|  | v32int16 & | o1,
|  | v32int16 & | o2,
|  | v32int16 & | o3,
|  | v32int16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [20/44]

void compr_pop4 | ( | v32int16_compress *& | p,
|  | v32int16_compress *& | p2,
|  | v32int16 & | o1,
|  | v32int16 & | o2,
|  | v32int16 & | o3,
|  | v32int16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [21/44]

void compr_pop4 | ( | v32int8_compress *& | p,
|  | v32int8 & | o1,
|  | v32int8 & | o2,
|  | v32int8 & | o3,
|  | v32int8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [22/44]

void compr_pop4 | ( | v32int8_compress *& | p,
|  | v32int8_compress *& | p2,
|  | v32int8 & | o1,
|  | v32int8 & | o2,
|  | v32int8 & | o3,
|  | v32int8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [23/44]

void compr_pop4 | ( | v32uint16_compress *& | p,
|  | v32uint16 & | o1,
|  | v32uint16 & | o2,
|  | v32uint16 & | o3,
|  | v32uint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [24/44]

void compr_pop4 | ( | v32uint16_compress *& | p,
|  | v32uint16_compress *& | p2,
|  | v32uint16 & | o1,
|  | v32uint16 & | o2,
|  | v32uint16 & | o3,
|  | v32uint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [25/44]

void compr_pop4 | ( | v32uint8_compress *& | p,
|  | v32uint8 & | o1,
|  | v32uint8 & | o2,
|  | v32uint8 & | o3,
|  | v32uint8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [26/44]

void compr_pop4 | ( | v32uint8_compress *& | p,
|  | v32uint8_compress *& | p2,
|  | v32uint8 & | o1,
|  | v32uint8 & | o2,
|  | v32uint8 & | o3,
|  | v32uint8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [27/44]

void compr_pop4 | ( | v4cint32_compress *& | p,
|  | v4cint32 & | o1,
|  | v4cint32 & | o2,
|  | v4cint32 & | o3,
|  | v4cint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [28/44]

void compr_pop4 | ( | v4cint32_compress *& | p,
|  | v4cint32_compress *& | p2,
|  | v4cint32 & | o1,
|  | v4cint32 & | o2,
|  | v4cint32 & | o3,
|  | v4cint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [29/44]

void compr_pop4 | ( | v64int4_compress *& | p,
|  | v64int4 & | o1,
|  | v64int4 & | o2,
|  | v64int4 & | o3,
|  | v64int4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [30/44]

void compr_pop4 | ( | v64int4_compress *& | p,
|  | v64int4_compress *& | p2,
|  | v64int4 & | o1,
|  | v64int4 & | o2,
|  | v64int4 & | o3,
|  | v64int4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [31/44]

void compr_pop4 | ( | v64int8_compress *& | p,
|  | v64int8 & | o1,
|  | v64int8 & | o2,
|  | v64int8 & | o3,
|  | v64int8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [32/44]

void compr_pop4 | ( | v64int8_compress *& | p,
|  | v64int8_compress *& | p2,
|  | v64int8 & | o1,
|  | v64int8 & | o2,
|  | v64int8 & | o3,
|  | v64int8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [33/44]

void compr_pop4 | ( | v64uint4_compress *& | p,
|  | v64uint4 & | o1,
|  | v64uint4 & | o2,
|  | v64uint4 & | o3,
|  | v64uint4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [34/44]

void compr_pop4 | ( | v64uint4_compress *& | p,
|  | v64uint4_compress *& | p2,
|  | v64uint4 & | o1,
|  | v64uint4 & | o2,
|  | v64uint4 & | o3,
|  | v64uint4 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [35/44]

void compr_pop4 | ( | v64uint8_compress *& | p,
|  | v64uint8 & | o1,
|  | v64uint8 & | o2,
|  | v64uint8 & | o3,
|  | v64uint8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [36/44]

void compr_pop4 | ( | v64uint8_compress *& | p,
|  | v64uint8_compress *& | p2,
|  | v64uint8 & | o1,
|  | v64uint8 & | o2,
|  | v64uint8 & | o3,
|  | v64uint8 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [37/44]

void compr_pop4 | ( | v8cint16_compress *& | p,
|  | v8cint16 & | o1,
|  | v8cint16 & | o2,
|  | v8cint16 & | o3,
|  | v8cint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [38/44]

void compr_pop4 | ( | v8cint16_compress *& | p,
|  | v8cint16_compress *& | p2,
|  | v8cint16 & | o1,
|  | v8cint16 & | o2,
|  | v8cint16 & | o3,
|  | v8cint16 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [39/44]

void compr_pop4 | ( | v8cint32_compress *& | p,
|  | v8cint32 & | o1,
|  | v8cint32 & | o2,
|  | v8cint32 & | o3,
|  | v8cint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [40/44]

void compr_pop4 | ( | v8cint32_compress *& | p,
|  | v8cint32_compress *& | p2,
|  | v8cint32 & | o1,
|  | v8cint32 & | o2,
|  | v8cint32 & | o3,
|  | v8cint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [41/44]

void compr_pop4 | ( | v8int32_compress *& | p,
|  | v8int32 & | o1,
|  | v8int32 & | o2,
|  | v8int32 & | o3,
|  | v8int32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [42/44]

void compr_pop4 | ( | v8int32_compress *& | p,
|  | v8int32_compress *& | p2,
|  | v8int32 & | o1,
|  | v8int32 & | o2,
|  | v8int32 & | o3,
|  | v8int32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [43/44]

void compr_pop4 | ( | v8uint32_compress *& | p,
|  | v8uint32 & | o1,
|  | v8uint32 & | o2,
|  | v8uint32 & | o3,
|  | v8uint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.

## ◆ compr_pop4() [44/44]

void compr_pop4 | ( | v8uint32_compress *& | p,
|  | v8uint32_compress *& | p2,
|  | v8uint32 & | o1,
|  | v8uint32 & | o2,
|  | v8uint32 & | o3,
|  | v8uint32 & | o4 )

Fill the internal buffer from memory location p. Reads four decompressed vectors from the internal buffer and stores them to o1 through o4. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.